Subject: RE: cmd.exe as telnetd login shell: "mode con LINES=24 COLS=80" has no effect..
From: "Ross Smith II" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 29 Nov 2002 09:22:03 -0800

Tom,

The Windows Telnet Service fixes the MORE and DOSKEY problems you describe.

If you want to disallow external telnet, you could block port 23, and
require users to ssh in, and then run

% telnet localhost

Of course, they'll have to enter their NTLM username/password.

You could even change their shell to be a shell script containing this
command.

Can anybody guess why cmd.exe works with the Windows Telnet Service but
fails with cygwin's ssh or telnet?

-Ross

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of [email-masked]
> Sent: Friday, November 29, 2002 8:10 AM
> To: [email-masked]
> Subject: cmd.exe as telnetd login shell: "mode con LINES=24 COLS=80" has
> no effect..
>
>
> --------
> <pls excuse me for restarting/updating my own unanswered thread..>
>
> Hello:
>
> A couple of people that insist on using cmd.exe as their login shell when
> they telnet or ssh to our w2kserver.
>
> When the login shell is set to "/cygdrive/c/winnt/system32/cmd",
> and "putty" is the telnet client:
>
>   1) "more < foo" does not work, it has no clue about
>      the window size.
>
>         o tried "mode con LINES=24 COLS=80", when I
>           then ran "mode con" it appeared to have "taken",
>           but "more < foo" still did not page correctly
>
>         o I tried setting LINES to no avail.
>
>         o tried various combinations of "cmd" switches
>           ( "/X" also "/A", did not try "/Y")
>
>   2) I would also like to enable the DOSKEY command history capability,
>      "Up Arrow" literally moves the cursor 1 row up.  I tried
>      "doskey /reinstall" - it has no apparent effect.
>
>   3) I had to kloosh things to get the backspace to do the
>      "erase" function.  I wrapped cmd.exe inside a bash
>      script that did a "stty erase ^H" before it started
>      cmd.exe.  Is there a better way?
>
>   4) If you set the shell to
>      "/cygdrive/c/winnt/system32/cmd", login
>      and then type "bash --login" to get a bash shell
>      (dumb, but needed sometimes), bash hangs.  This
>      is still a mystery.  To work around this I
>      always start a bash session after the user exits
>      cmd.exe - see below.
>
> Any help or ideas would be welcomed.  I'm beginning to lean towards
> the unhappy position that we will have to use Microsoft's or
> Ataman's telnetd; I would love to avoid this.
>
> Pls understand how very much I *appreciate* the cygwin toolset, and that
> I'm an ever-so-humble day in day out, sys admin/end user of your tools.
>
> For more details on what I did see end of this e-mail.
>
> --
> thanks/regards,
> Tom
>   perl -e 'print unpack("u", "\-\=\$\!R\;V1M86XN8V\]M\"\@\`\`");'
>
> --v-v------------------C-U-T---H-E-R-E-------------------------v-v--
> > 17:15:45 Wed Nov 27  /adm/bin/sys/s
> > C7MKES109 adm_tsr > grep build /etc/passwd|fold
> build:unused_by_nt/2000/xp:12122:12119:build,U-MKE\build,S-1-5-21-
> 1177238915-197
> 9792683-1801674531-2122:/user/build:/drv/c/adm/bin/sys/s/cmd_login_shell
> > 17:50:35 Wed Nov 27  /adm/bin/sys/s
> > C7MKES109 adm_tsr > cat /drv/c/adm/bin/sys/s/cmd_login_shell
> #!/bin/bash -
> /bin/stty erase
> /drv/c/winnt/system32/cmd
> /bin/bash --login

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/